VARKON Version 1.15 1997-12-22

> ## surface_area - Function

> Geometrical function
> Description
> Returns the area of a surface. Accuracy is controlled by an optional parameter.
> Syntax
> surface_area(surface, accuracy)

> REF | surface;
> FLOAT | accuracy;

> Principal parameters

> surface | - Identity of surface

> Optional parameters

> accuracy | - Maximum relative error. Default is 0.01 = 1 % , i.e.output error is less than 1 % of calculated area

> Return value
> A FLOAT value equal to the calculated area
> Example
> a:=surface_area(#4);
> Calculates the area of a surface with ID = #4. Default numerical accuracy (1%) is used.
> Comments
> The area is computed by numerical integration. The number of calculations (iterations) is at least two. Smaller and smaller elements (triangles) are used in each iteration and the calculation is ended when the relative change of area between two consecutive iterations is less than the given accuracy, i.e. ( Change of area )/ ( Total area ) < accuracy. The maximum number of iterations is ten (10).

VARKON Homepage | Index